Skip to main content
PATCH
JavaScript

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

systemId
string<uuid>
required

The ID of the system to update.

Example:

"12345678-0a8b-4f66-b6f3-2ddcfa097257"

Body

application/json
name
string

The name of the system. Unique within the project.

description
string
default:""

The description of the system.

productionVersionId
string<uuid>

The ID of the production version of the system.

Response

System updated successfully

A System Under Test (SUT).

Systems are templates - to run evaluations, pair them with a SystemVersion that provides specific parameter values.

id
string<uuid>
required

The ID of the system.

name
string
required

The name of the system. Unique within the project.

description
string
default:""
required

The description of the system.

productionVersion
object
required

The production version of the system.

versions
object[]
required

The versions of the system.